#include<stdio.h>
#include<string.h>

#define LENGTH 100
#define SENTENCE_LENGTH 81

void display_exception_message(int code)
{
    char exception_description [][LENGTH] = {
        "A file opening for writing exception.",
        "A file writing exception.",
        "A file closing exception.",
        "A file opening for reading exception."
    };
    fprintf(stderr,"%s\n",exception_description[-code-1]);
}

int write_sentences_to_file(char *file_name)
{
    char sentence[SENTENCE_LENGTH] = {'\0'};
    FILE *file=fopen(file_name,"w");
    if(file==NULL)
        return -1;
    while(strncmp(sentence,"stop",SENTENCE_LENGTH-1)!=0)
    {
        scanf("%80[^\n]s",sentence);
        while(getchar()!='\n');
        if(fprintf(file,"%s\n",sentence)!=strlen(sentence)+1)
            return -2;
    }
    if(fclose(file)!=0)
        return -3;
    return 0;
}

int read_sentences_from_file(char *file_name)
{
    char sentence[SENTENCE_LENGTH] = {'\0'};
    FILE *file = fopen(file_name,"r");
    if(file==NULL)
        return -4;
    while(feof(file)==0) {
        fscanf(file,"%[^\n]s",sentence);
        if(feof(file)==0) {
            puts(sentence);
            while(fgetc(file)!='\n');
        }
    }
    if(fclose(file)!=0)
        return -3;
    return 0;
}

int main(void)
{
    int result = write_sentences_to_file("test.txt");
    if(result!=0)
        display_exception_message(result);
    result = read_sentences_from_file("test.txt");
    if(result!=0)
        display_exception_message(result);
    return 0;
}
