#include<stdio.h>
#include<stdlib.h>
#include<time.h>

#define LENGTH 100

void display_exception_message(int code)
{
    char exception_description [][LENGTH] = {
        "A file opening for writing exception.",
        "A file writing exception.",
        "A file closing exception.",
        "A file opening for reading exception."
    };
    fprintf(stderr,"%s\n",exception_description[-code-1]);
}

int fill_file(char *file_name)
{
    FILE *file = NULL;
    srand(time(0));
    file = fopen(file_name,"w");
    if(file==NULL)
        return -1;
    int i;
    for(i=0; i<100; i++)
        if(fputc('a'+rand()%('z'-'a'+1),file)==EOF)
            return -2;
    if(fclose(file)!=0)
        return -3;
    return 0;
}

int read_file(char *file_name)
{
    FILE *file = fopen(file_name,"r");
    if(file==NULL)
        return -4;
    while(!feof(file)) {
        int data_from_file = fgetc(file);
        if(data_from_file!=EOF)
            printf("%c ",data_from_file);
    }
    puts("");
    if(fclose(file)!=0)
        return -3;
    return 0;
}

int main(void)
{

    int result = fill_file("test.txt");
    if(result<0)
        display_exception_message(result);
    result = read_file("test.txt");
    if(result<0)
        display_exception_message(result);
    return 0;
}
